cURL
curl --request POST \ --url https://api.ttapi.io/flowmusic/v1/replace \ --header 'Content-Type: application/json' \ --header 'TT-API-KEY: <api-key>' \ --data ' { "clip_id": "<string>", "start_s": 123, "end_s": 123, "instruction": "<string>", "title": "<string>", "model": "Lyria 3 Pro", "seed": 123, "hook_url": "<string>" } '
{ "status": "SUCCESS", "message": "success", "data": { "job_id": "job_id" } }
对生成的音频的部分片段进行替换
Documentation IndexFetch the complete documentation index at: https://docs.ttapi.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
Use this file to discover all available pages before exploring further.
请前往 TTAPI 控制台 获取 API 密钥。
源音乐 clip_id
替换开始时间,单位秒
替换结束时间,单位秒;必须大于 start_s,且不能超过源 clip 时长。
替换片段的编辑指令。
替换后音乐标题。
音乐模型名称;为空时默认使用 Lyria 3 Pro
随机种子;用于复现或控制生成结果。
任务完成后的业务回调地址;为空时不推送回调
请求成功
"SUCCESS"
"success"
{ "job_id": "job_id" }